/*
 * Class TYPE [TYPED_POINTER [ANY]]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1553 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1553 [] = {0xFF01,1551,1552,1549,0,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1553 [] = {0xFF01,1552,1549,0,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1553 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1553 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1553 [] = {0xFF01,1552,1549,0,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1553 [] = {0xFF01,1552,1549,0,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1553 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1553 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1553 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1553 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1553 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1553 [] = {1552,1549,0,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1553 [] = {0xFF01,1552,1549,0,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1553 [] = {0xFF01,921,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1553 [] = {0xFF01,1551,0,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1553 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1553 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1553 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1553 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1553 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1553 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1553 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1553 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1553 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1553 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1553 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1553 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1553 [] = {0xFF01,914,0xFFFF};


static const struct desc_info desc_1553[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1553), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1553), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19490, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1553), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1553), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1553), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1553), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1553), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1553), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1553), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1553), 19498, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1553), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1553), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1553), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1553), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19485, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19391, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19491, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19492, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6335, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6336, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1553), 19482, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1553), 19483, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19484, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19486, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19487, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19488, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19489, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1553), 19493, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1553), 19494, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1553), 19495, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1553), 19496, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1553), 19497, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1553), 19500, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19501, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19502, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1553), 19503, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1553), 19504, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1553), 19505, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1553), 19506, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0733 /*921*/), 19507, 0},
	{EIF_GENERIC(egt_26_1553), 19508, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_1553), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_1553), 19499, 0xFFFFFFFF},
};
void Init1553(void)
{
	IDSC(desc_1553, 0, 1552);
	IDSC(desc_1553 + 1, 1, 1552);
	IDSC(desc_1553 + 32, 700, 1552);
	IDSC(desc_1553 + 34, 1459, 1552);
	IDSC(desc_1553 + 38, 11, 1552);
	IDSC(desc_1553 + 60, 224, 1552);
}


#ifdef __cplusplus
}
#endif
